Package org.apache.commons.math3.ml.neuralnet.sofm

# Interface LearningFactorFunction

public interface LearningFactorFunction
Provides the learning rate as a function of the number of calls already performed during the learning task.

Since:
  3.3

## Method Summary

Modifier and Type
Method
Description
`double`
`value(long numCall)`
Computes the learning rate at the current call.

## Method Details

### value

double value(long numCall)
Computes the learning rate at the current call.

Parameters:
  `numCall` - Current step of the training task.
Returns:
  the value of the function at `numCall`.